Packet Manager APIs
This section details about the REST services in Commons Packet Manager.
Packet Reader APIs
These APIs are used to read packet from object store:
Get Audits
API to fetch the audit details from a packet.
Resource URL
POST https://{base_url}/commons/v1/packetmanager/audits
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID for the API.
metadata
N
Meta Data for the API.
requesttime
Y
Request time for the API.
version
Y
Version for the API.
request.bypassCache
Y
Used to fetch data from cache or from object store.
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
Get Biometrics
API to fetch the biometric details from a packet.
Resource URL
POST https://{base_url}/commons/v1/packetmanager/biometrics
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.bypassCache
Used to fetch data from cache or from object store.
request.id
Y
ID of the Packet.
request.modalities
Modalities of biometrics to be fetched.
request.person
Entity for whom the biometrics is to be fetched.
values can be - individualBiometrics, individualAuthBiometrics, officerBiometric, supervisorBiometric
request.process
Process of the Packet.
request.source
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-007
Biometric fieldname is not present inside packet
KER-PUT-005
Unable to fetch identity json from all sub packets
KER-PUT-008
Unable to fetch meta information from all sub packets
Get Documents
Resource URL
POST https://{base_url}/commons/v1/packetmanager/document
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.documentName
Y
Name of the document to be fetched. Example - proofOfAddress
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-005
Unable to fetch identity json from all sub packets
KER-PUT-008
Unable to fetch meta information from all sub packets
KER-PUT-011
Failed to get document
Get Meta Info
Resource URL
POST https://{base_url}/commons/v1/packetmanager/metaInfo
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.bypassCache
Y
Used to fetch data from cache or from object store.
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-005
Unable to fetch identity json from all sub packets
KER-PUT-008
Unable to fetch meta information from all sub packets
Search Field
Resource URL
POST https://{base_url}/commons/v1/packetmanager/searchField
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.bypassCache
Y
Used to fetch data from cache or from object store.
request.field
Y
Field Name for which data needs to be fetched.
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-005
Unable to fetch identity json from all sub packets
Search Fields
Resource URL
POST https://{base_url}/commons/v1/packetmanager/searchFields
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
Y
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.bypassCache
Y
Used to fetch data from cache or from object store.
request.fields
Y
List of fields to be fetched.
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-005
Unable to fetch identity json from all sub packets
Validate Packet
Resource URL
POST https://{base_url}/commons/v1/packetmanager/validatePacket
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.bypassCache
Y
Used to fetch data from cache or from object store.
request.id
Y
ID of the Packet.
request.process
Y
Process of the Packet.
request.source
Y
Source of the Packet.
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-002
Unable to Find File in Destination Folder
KER-PUT-003
Packet decryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-019
Packet Integrity check failed
KER-PUT-005
Unable to fetch identity json from all sub packets
KER-PUT-008
Unable to fetch meta information from all sub packets
Packet Writer API
This service is used to create registration packet and store it in object-store.
Create Packet
Resource URL
PUT https://{base_url}/commons/v1/packetmanager/createPacket
Resource details
Response format
JSON
Requires Authentication
Yes
Request Body Parameters
id
Y
ID of the API.
metadata
N
Metadata of the API.
requesttime
Y
Request time of the API.
version
Y
Version of the API.
request.audits
Y
Audit trail of the Packet in key-value pair.
request.biometrics
N
Biometrics of the Packet.
request.documents
N
Documents of the Packet.
request.id
Y
ID of the packet.
request.fields
Y
Fields of the Packet in key-value pair.
request.metaInfo
Y
Metainfo of the Packet in key-value pair.
request.schemaJson
Y
Schema JSON to use inorder to create the Packet.
request.schemaVersion
Y
Schema Version to use inorder to create the Packet.
request.process
Y
Process of the Packet. Example - NEW/UPDATE/LOST
request.source
Y
Source of the Packet. Example - REGISTRATION_CLIENT
Request
Response
Success Response
Response Code : 200 (OK)
Failure Response
Response Code : 200 (OK)
Failure Details
KER-ATH-401
Authentication Failed
Authentication Failure
KER-PUT-003
Packet encryption failed
KER-PUT-005
API not accessible
KER-PUT-004
System Exception occured
KER-PUT-006
No available provider for given source and process
KER-PUT-013
No Object store adapter found.
KER-PUT-014
Packet keeper exception occured.
KER-PUT-009
Unable to parse the zip
KER-PUT-010
Failed to generate digital signature
Last updated
Was this helpful?